Package com.io7m.idstore.protocol.admin.cb

# Class IdACB1Validation

java.lang.Object
com.io7m.idstore.protocol.admin.cb.IdACB1Validation

All Implemented Interfaces:
  `IdProtocolMessageValidatorType<IdAMessageType,ProtocolIdAv1Type>`

public final class IdACB1Validation extends Object implements IdProtocolMessageValidatorType<IdAMessageType,ProtocolIdAv1Type>
Functions to translate between the core command set and the Admin v1 Cedarbridge encoding command set.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdACB1Validation()`
  Functions to translate between the core command set and the Admin v1 Cedarbridge encoding command set.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IdAMessageType`
  `convertFromWire(ProtocolIdAv1Type message)`
  Convert a wire message to a core message.
  `ProtocolIdAv1Type`
  `convertToWire(IdAMessageType message)`
  Convert a core message to a wire message.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IdACB1Validation

    public IdACB1Validation()
    Functions to translate between the core command set and the Admin v1 Cedarbridge encoding command set.

- ## Method Details

  - ### convertToWire

    public ProtocolIdAv1Type convertToWire(IdAMessageType message) throws IdProtocolException
    Description copied from interface: `IdProtocolMessageValidatorType`
    Convert a core message to a wire message.
    Specified by:
      `convertToWire` in interface `IdProtocolMessageValidatorType<IdAMessageType,ProtocolIdAv1Type>`
    Parameters:
      `message` - The core message
    Returns:
      The wire message
    Throws:
      `IdProtocolException` - On errors

  - ### convertFromWire

    public IdAMessageType convertFromWire(ProtocolIdAv1Type message) throws IdProtocolException
    Description copied from interface: `IdProtocolMessageValidatorType`
    Convert a wire message to a core message.
    Specified by:
      `convertFromWire` in interface `IdProtocolMessageValidatorType<IdAMessageType,ProtocolIdAv1Type>`
    Parameters:
      `message` - The wire message
    Returns:
      The core message
    Throws:
      `IdProtocolException` - On errors